Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-recipients.post-recipients ​

Adds one or more recipients to an envelope. For an in-process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient's routing order is before or the same as the envelope's next recipient, an email is only sent if the optional resend_envelope query string is set to true. Note: This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (astanton@example.com) but NOT the Sign Here recipient tab. json { "signers": [ { "email": "astanton@example.com", "name": "Anne Stanton", "recipientId": "1", "tabs": { // These tabs will NOT be added "signHereTabs": [ // with this method. See note above. { "anchorString": "below", "tooltip": "please sign here" }, . . . ] } } ] } [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/ ### Related topics - How to bulk send envelopes - How to request a signature by email - How to request a signature through your app

Adds one or more recipients to an envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
resend_envelopestringNo—When true, forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to false has no effect and is the same as omitting it altogether.
agentslistNo—A list of agent recipients assigned to the documents.
authorizedsignatorieslistNo——
carboncopieslistNo—A list of carbon copy recipients assigned to the documents.
certifieddeliverieslistNo—A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentroutingorderstringNo—The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslistNo—A list of users who can edit the envelope.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
inpersonsignerslistNo—Specifies a signer that is in the same physical location as a Docusign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslistNo—Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
notarieslistNo—A list of notary recipients on the envelope.
notarywitnesseslistNo——
participantslistNo——
recipientcountstringNo—The number of recipients in the envelope.
sealslistNo—A list of electronic seals to apply to documents.
signerslistNo—A list of signers on the envelope.
witnesseslistNo—A list of signers who act as witnesses on the envelope.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
resend_envelopestringNo—When true, forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to false has no effect and is the same as omitting it altogether.
agentslistNo—A list of agent recipients assigned to the documents.
authorizedsignatorieslistNo——
carboncopieslistNo—A list of carbon copy recipients assigned to the documents.
certifieddeliverieslistNo—A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentroutingorderstringNo—The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslistNo—A list of users who can edit the envelope.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
inpersonsignerslistNo—Specifies a signer that is in the same physical location as a Docusign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslistNo—Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
notarieslistNo—A list of notary recipients on the envelope.
notarywitnesseslistNo——
participantslistNo——
recipientcountstringNo—The number of recipients in the envelope.
sealslistNo—A list of electronic seals to apply to documents.
signerslistNo—A list of signers on the envelope.
witnesseslistNo—A list of signers who act as witnesses on the envelope.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-recipients.post-recipients",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}